GET api/Field/GetTinyFields?onlyOpen={onlyOpen}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
onlyOpen

boolean

Default value is True

Body Parameters

None.

Response Information

Resource Description

Collection of ProductionLotTinyDto
NameDescriptionTypeAdditional information
id

integer

None.

CreatedOnDate

date

None.

name

string

None.

displayName

string

None.

productGrownId

integer

None.

productGrownName

string

None.

productGrownCodeValue

string

None.

productGrownColor

string

None.

speciesId

integer

None.

speciesName

string

None.

landId

integer

None.

landName

string

None.

productiveUnitId

integer

None.

productiveUnitName

string

None.

landCodeValue

string

None.

landHectarage

decimal number

None.

SeasonYear

integer

None.

SeasonStartDate

date

None.

SeasonEndDate

date

None.

SeasonState

ProductionLotState

None.

OccupiedArea

decimal number

None.

UnitOfMeasureId

integer

None.

UnitOfMeasureAcronym

string

None.

UnitOfMeasureName

string

None.

UnitOfMeasureCategory

string

None.

Coordinates

Collection of LatLng

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "id": 1,
    "CreatedOnDate": "2026-06-22T08:16:15.5993338+02:00",
    "name": "sample string 3",
    "displayName": "sample string 3 - sample string 9 - sample string 5",
    "productGrownId": 4,
    "productGrownName": "sample string 5",
    "productGrownCodeValue": "sample string 6",
    "productGrownColor": "sample string 7",
    "speciesId": 8,
    "speciesName": "sample string 9",
    "landId": 10,
    "landName": "sample string 11",
    "productiveUnitId": 1,
    "productiveUnitName": "sample string 12",
    "landCodeValue": "sample string 13",
    "landHectarage": 14.0,
    "SeasonYear": 15,
    "SeasonStartDate": "2026-06-22T08:16:15.5993338+02:00",
    "SeasonEndDate": "2026-06-22T08:16:15.5993338+02:00",
    "SeasonState": 0,
    "OccupiedArea": 16.0,
    "UnitOfMeasureId": 17,
    "UnitOfMeasureAcronym": "sample string 18",
    "UnitOfMeasureName": "sample string 19",
    "UnitOfMeasureCategory": "sample string 20",
    "Coordinates": []
  },
  {
    "id": 1,
    "CreatedOnDate": "2026-06-22T08:16:15.5993338+02:00",
    "name": "sample string 3",
    "displayName": "sample string 3 - sample string 9 - sample string 5",
    "productGrownId": 4,
    "productGrownName": "sample string 5",
    "productGrownCodeValue": "sample string 6",
    "productGrownColor": "sample string 7",
    "speciesId": 8,
    "speciesName": "sample string 9",
    "landId": 10,
    "landName": "sample string 11",
    "productiveUnitId": 1,
    "productiveUnitName": "sample string 12",
    "landCodeValue": "sample string 13",
    "landHectarage": 14.0,
    "SeasonYear": 15,
    "SeasonStartDate": "2026-06-22T08:16:15.5993338+02:00",
    "SeasonEndDate": "2026-06-22T08:16:15.5993338+02:00",
    "SeasonState": 0,
    "OccupiedArea": 16.0,
    "UnitOfMeasureId": 17,
    "UnitOfMeasureAcronym": "sample string 18",
    "UnitOfMeasureName": "sample string 19",
    "UnitOfMeasureCategory": "sample string 20",
    "Coordinates": []
  }
]

application/xml, text/xml

Sample:
<ArrayOfProductionLotTinyDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/tocode.Plugin.ApiServices.DTO.ProductionLot">
  <ProductionLotTinyDto>
    <Coordinates />
    <CreatedOnDate>2026-06-22T08:16:15.5993338+02:00</CreatedOnDate>
    <Id>1</Id>
    <LandCodeValue>sample string 13</LandCodeValue>
    <LandHectarage>14</LandHectarage>
    <LandId>10</LandId>
    <LandName>sample string 11</LandName>
    <Name>sample string 3</Name>
    <OccupiedArea>16</OccupiedArea>
    <ProductGrownCodeValue>sample string 6</ProductGrownCodeValue>
    <ProductGrownColor>sample string 7</ProductGrownColor>
    <ProductGrownId>4</ProductGrownId>
    <ProductGrownName>sample string 5</ProductGrownName>
    <ProductiveUnitId>1</ProductiveUnitId>
    <ProductiveUnitName>sample string 12</ProductiveUnitName>
    <SeasonEndDate>2026-06-22T08:16:15.5993338+02:00</SeasonEndDate>
    <SeasonStartDate>2026-06-22T08:16:15.5993338+02:00</SeasonStartDate>
    <SeasonState>Open</SeasonState>
    <SeasonYear>15</SeasonYear>
    <SpeciesId>8</SpeciesId>
    <SpeciesName>sample string 9</SpeciesName>
    <UnitOfMeasureAcronym>sample string 18</UnitOfMeasureAcronym>
    <UnitOfMeasureCategory>sample string 20</UnitOfMeasureCategory>
    <UnitOfMeasureId>17</UnitOfMeasureId>
    <UnitOfMeasureName>sample string 19</UnitOfMeasureName>
  </ProductionLotTinyDto>
  <ProductionLotTinyDto>
    <Coordinates />
    <CreatedOnDate>2026-06-22T08:16:15.5993338+02:00</CreatedOnDate>
    <Id>1</Id>
    <LandCodeValue>sample string 13</LandCodeValue>
    <LandHectarage>14</LandHectarage>
    <LandId>10</LandId>
    <LandName>sample string 11</LandName>
    <Name>sample string 3</Name>
    <OccupiedArea>16</OccupiedArea>
    <ProductGrownCodeValue>sample string 6</ProductGrownCodeValue>
    <ProductGrownColor>sample string 7</ProductGrownColor>
    <ProductGrownId>4</ProductGrownId>
    <ProductGrownName>sample string 5</ProductGrownName>
    <ProductiveUnitId>1</ProductiveUnitId>
    <ProductiveUnitName>sample string 12</ProductiveUnitName>
    <SeasonEndDate>2026-06-22T08:16:15.5993338+02:00</SeasonEndDate>
    <SeasonStartDate>2026-06-22T08:16:15.5993338+02:00</SeasonStartDate>
    <SeasonState>Open</SeasonState>
    <SeasonYear>15</SeasonYear>
    <SpeciesId>8</SpeciesId>
    <SpeciesName>sample string 9</SpeciesName>
    <UnitOfMeasureAcronym>sample string 18</UnitOfMeasureAcronym>
    <UnitOfMeasureCategory>sample string 20</UnitOfMeasureCategory>
    <UnitOfMeasureId>17</UnitOfMeasureId>
    <UnitOfMeasureName>sample string 19</UnitOfMeasureName>
  </ProductionLotTinyDto>
</ArrayOfProductionLotTinyDto>